> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nx1cloud.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve queries

> Retrieves a list of queries.



## OpenAPI

````yaml get /api/query
openapi: 3.1.0
info:
  title: Nx1 AI API
  description: |

    AI API for Nx1 Data Platform Management and Automated Data Tasks.

    Authentication is required via PSK in Authorization header.

    Default PSK is | [ask a friend] |
  version: 0.10.2
servers: []
security: []
paths:
  /api/query:
    get:
      tags:
        - Queries (formerly cards)
      summary: Retrieve queries
      description: Retrieves a list of queries.
      operationId: get_queries_api_query_get
      parameters:
        - name: limit
          in: query
          required: false
          schema:
            type: integer
            default: 20
            title: Limit
      responses:
        '200':
          description: Queries retrieved successfully.
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/QueryModel'
                title: Response Get Queries Api Query Get
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - OAuth2AuthorizationCodeBearer: []
        - APIKeyHeader: []
components:
  schemas:
    QueryModel:
      properties:
        id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Id
          description: Unique ID of the query.
        card_url:
          type: string
          title: Card Url
          description: URL of the card associated with this query.
        domain:
          type: string
          title: Domain
          description: Name of the data domain to which this query belongs.
        domain_urn:
          type: string
          title: Domain Urn
          description: Unique resource name (URN) identifying the domain.
        prompt:
          type: string
          title: Prompt
          description: User-provided prompt or question that generated this query.
        query:
          type: string
          title: Query
          description: The SQL or underlying query generated from the prompt.
        suggestion_id:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Suggestion Id
          description: Optional ID of the suggestion used to create this query.
        created_at:
          type: string
          format: date-time
          title: Created At
          description: Query creation Timestamp.
      type: object
      required:
        - card_url
        - domain
        - domain_urn
        - prompt
        - query
      title: QueryModel
    ErrorResponse:
      properties:
        error:
          type: string
          title: Error
          description: A brief description of the error that occurred.
        code:
          type: integer
          title: Code
          description: The HTTP status code associated with the error.
          default: 500
      type: object
      required:
        - error
      title: ErrorResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    OAuth2AuthorizationCodeBearer:
      type: oauth2
      flows:
        authorizationCode:
          scopes: {}
          authorizationUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/auth
          tokenUrl: >-
            https://sso-rapid.rapid.nx1cloud.com/realms/rapid/protocol/openid-connect/token
    APIKeyHeader:
      type: apiKey
      in: header
      name: Authorization-PSK

````